var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var FProcurementsPlanAttach;
(function (FProcurementsPlanAttach) {
    var TableRules = (function () {
        function TableRules(_document) {
            this._document = _document;
            this._needClearData = true;
        }
        TableRules.prototype.FilterProcurement = function (filterTableId) {
            if (this._needClearData) {
                ObasTableCollection.RroProcurementPlanSumbyKBKTable.DeleteAllRow();
                ObasTableCollection.RroProcurementCalcedDataTable.DeleteAllRow();
                this._needClearData = false;
            }
            var procurementTable = ObasTableCollection.RroProcurementTable;
            var procurementPlanTable = ObasTableCollection.RroProcurementPlanTable;
            var isFiltered = (procurementPlanTable.RecordKey.Value === procurementTable.ProcurementPlanKey.Value);
            if (isFiltered) {
                ObasTableCollection.RroProcurementPlanSumbyKBKTable.UpdateDataRowsByProcurement(procurementTable.RecordKey.Value);
                ObasTableCollection.RroProcurementCalcedDataTable.InitRecord(procurementTable.RecordKey.Value);
            }
            return isFiltered;
        };
        return TableRules;
    }());
    FProcurementsPlanAttach.TableRules = TableRules;
})(FProcurementsPlanAttach || (FProcurementsPlanAttach = {}));
